# Uses of Class
serp.bytecode.lowlevel.ConstantPool

Packages that use ConstantPool
Package
Description
serp.bytecode
Bytecode Manipuation
serp.bytecode.lowlevel
Lowlevel Bytecode Manipuation
serp.bytecode.visitor
Bytecode Visitor

## Uses of ConstantPool in serp.bytecode

Methods in serp.bytecode that return ConstantPool
Modifier and Type
Method
Description
`ConstantPool`
Annotation.`getPool()`
`ConstantPool`
Annotation.Property.`getPool()`
`ConstantPool`
Attribute.`getPool()`
`ConstantPool`
BCClass.`getPool()`
`ConstantPool`
BCEntity.`getPool()`
Return the constant pool of the current class.
`ConstantPool`
BCMember.`getPool()`
`ConstantPool`
ExceptionHandler.`getPool()`
`ConstantPool`
InnerClass.`getPool()`
`ConstantPool`
Instruction.`getPool()`
`ConstantPool`
LineNumber.`getPool()`
`ConstantPool`
Local.`getPool()`

## Uses of ConstantPool in serp.bytecode.lowlevel

Methods in serp.bytecode.lowlevel that return ConstantPool
Modifier and Type
Method
Description
`ConstantPool`
Entry.`getPool()`
Returns the constant pool containing this entry, or null if none.

## Uses of ConstantPool in serp.bytecode.visitor

Methods in serp.bytecode.visitor with parameters of type ConstantPool
Modifier and Type
Method
Description
`void`
BCVisitor.`enterConstantPool(ConstantPool obj)`
`void`
PrettyPrintVisitor.`enterConstantPool(ConstantPool obj)`
`void`
BCVisitor.`exitConstantPool(ConstantPool obj)`
`void`
PrettyPrintVisitor.`exitConstantPool(ConstantPool obj)`